package common.network;

import common.packet.RPacketChallenge;
import common.packet.RPacketDisconnect;
import common.packet.RPacketEnableCompression;
import common.packet.RPacketLoginSuccess;
import common.packet.RPacketRequestEncrypt;
import common.packet.RPacketResponse;
import common.packet.RPacketServerConfig;

public interface IClientLoginHandler extends NetHandler {
	void handleDisconnect(RPacketDisconnect packet);
	void handleLoginSuccess(RPacketLoginSuccess packet);
	void handleEnableCompression(RPacketEnableCompression packet);
	void handleEncrypt(RPacketRequestEncrypt packet);
	void handleConfig(RPacketServerConfig packet);
	void handleResponse(RPacketResponse packet);
	void handleChallenge(RPacketChallenge packet);
}
